Loading...
Searching...
No Matches
dolfin::HarmonicSmoothing Class Reference

`#include <HarmonicSmoothing.h>`

## Static Public Member Functions

static std::shared_ptr< MeshDisplacement > | move (std::shared_ptr< Mesh > mesh, const BoundaryMesh &new_boundary)

## Detailed Description

This class implements harmonic mesh smoothing. Poisson's equation is solved with zero right-hand side (Laplace's equation) for each coordinate direction to compute new coordinates for all vertices, given new locations for the coordinates of the boundary.

## Member Function Documentation

## move()

std::shared_ptr< MeshDisplacement > HarmonicSmoothing::move | ( | std::shared_ptr< Mesh > | mesh,
|  | const BoundaryMesh & | new_boundary )

static

Move coordinates of mesh according to new boundary coordinates and return the displacement

Parameters

  mesh | (Mesh) Mesh
  new_boundary | (BoundaryMesh) Boundary mesh

Returns
  MeshDisplacement Displacement

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/ale/HarmonicSmoothing.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/ale/HarmonicSmoothing.cpp